.new-banner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    color: #fff;
    width: 100%;
    min-height: 400px;
    padding: 60px;
    height: 100%;
    gap: 50px;
    max-width: 1140px;
    margin: 0 auto;
    border-radius: 20px;
    overflow: hidden;
}

.new-banner_color_black {
    color: var(--text-primary);
}

.new-banner__img {
    width: 45%;
    height: auto;
    position: absolute;
    object-fit: contain;
    bottom: 0;
    right: 0;
    z-index: 0;
    max-height: 90%;
}

.new-banner__title {
    font-size: 45px;
    font-weight: 400;
    margin: 0;
    line-height: 1.2;
    width: 60%;
    z-index: 2;
    z-index: 1;
}

.new-banner__text {
    width: 60%;
    margin: 0;
    font-size: 22px;
    line-height: 1.4;
    font-weight: 400;
    z-index: 1;
    padding: 0;
}

.new-banner__link {
    background-color: var(--main-brown-color);
    color: #fff;
    padding: 16px 48px;
    border-radius: 4px;
    width: max-content;
    font-size: 18px;
    z-index: 2;
    transition: all linear 0.3s;
}

.new-banner__link:active {
    color: #fff;
}

.new-banner__link:hover {
    background-color: var(--main-dark-brown-color);
    cursor: pointer;
    color: #fff;
}

.new-banner__link_color_green {
    background-color: var(--main-green-color);
}

.new-banner__link_color_green:hover {
    background-color: var(--main-green-hover-color);
}

.bannerItem__img_mobile {
    display: none;
    width: 45%;
    height: auto;
    position: absolute;
    object-fit: contain;
    bottom: 0;
    right: 0;
    z-index: 0;
    max-height: 90%;
}

@media (max-width: 1000px) {
    .new-banner {
        min-height: 200px;
        width: calc(100vw - 30px);
    }

    .new-banner__title,
    .new-banner__text {
        max-width: 460px;
    }

    .new-banner__title {
        font-size: 28px !important;
    }
}

@media (max-width: 650px) {
    .new-banner {
        margin: 0 15px;
        padding: 15px;
        border-radius: 10px;
        min-height: 100px;
        gap: 18px;
    }

    .new-banner__title {
        font-size: 18px !important;
    }

    .new-banner__text {
        font-size: 14px !important;
    }

    .new-banner__link {
        font-size: 12px;
        padding: 7px 18px;
    }

    .bannerItem__img_mobile {
        display: block;
    }

    .new-banner__img_display {
        display: none;
    }
}

@media (max-width: 520px) {
    .new-banner__title,
    .new-banner__text {
        max-width: 240px;
        width: 60%;
    }
}
